package task

type STATUS string

func (s STATUS) IsComplete() bool {
	return s == STATUS_SUCCESS || s == STATUS_FAILED || s == STATUS_SKIP || s == STATUS_CANCELED
}

func (s STATUS) String() string {
	return string(s)
}

const (
	STATUS_PENDDING STATUS = "等待处理"
	STATUS_RUNNING  STATUS = "运行中"
	// 忽略执行, 等同为成功
	STATUS_SKIP     STATUS = "忽略执行"
	STATUS_SUCCESS  STATUS = "成功"
	STATUS_CANCELED STATUS = "取消"
	STATUS_FAILED   STATUS = "失败"
)

const (
	CONDITION_OPERATOR_IN CONDITION_OPERATOR = "in"
)

type CONDITION_OPERATOR string
